Loading...
Searching...
No Matches
XdbcFirebirdSqlUtilBase::XdbcFirebirdView Class Reference

represents a Firebird view More...

Inheritance diagram for XdbcFirebirdSqlUtilBase::XdbcFirebirdView:
[legend]

## Public Member Functions

| constructor (string name, string src)
| creates the object from the arguments
string | getCreateSql (*hash< auto > opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name, *hash< auto > opt)
| returns a string that can be used to rename the view in the database

## Detailed Description

represents a Firebird view

## Member Function Documentation

## getRenameSql()

softlist XdbcFirebirdSqlUtilBase::XdbcFirebirdView::getRenameSql | ( | string | new_name,
|  | *hash< auto > | opt
| ) |  |

virtual

returns a string that can be used to rename the view in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored

Implements SqlUtil::AbstractView.